"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTextSync = exports.getText = exports.setTextSync = exports.setText = void 0;
function setText(content) {
    return new Promise((resolve, reject) => {
        try {
            UIPasteboard.generalPasteboard.setValueForPasteboardType(content, kUTTypePlainText);
            resolve();
        }
        catch (ex) {
            console.log("Error in clipboard.setText: " + ex);
            reject(ex);
        }
    });
}
exports.setText = setText;
function setTextSync(content) {
    try {
        UIPasteboard.generalPasteboard.setValueForPasteboardType(content, kUTTypePlainText);
    }
    catch (ex) {
        console.log("Error in clipboard.setText: " + ex);
    }
}
exports.setTextSync = setTextSync;
function getText() {
    return new Promise((resolve, reject) => {
        try {
            const content = UIPasteboard.generalPasteboard.string || UIPasteboard.generalPasteboard.valueForPasteboardType(kUTTypePlainText);
            resolve(content);
        }
        catch (ex) {
            console.log("Error in clipboard.getText: " + ex);
            reject(ex);
        }
    });
}
exports.getText = getText;
function getTextSync() {
    try {
        return UIPasteboard.generalPasteboard.string || UIPasteboard.generalPasteboard.valueForPasteboardType(kUTTypePlainText);
    }
    catch (ex) {
        console.log("Error in clipboard.getText: " + ex);
        return "";
    }
}
exports.getTextSync = getTextSync;
//# sourceMappingURL=clipboard.ios.js.map